Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class BetweenFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.ArrayFilter
com.tangosol.util.filter.AllFilter
com.tangosol.util.filter.AndFilter
com.tangosol.util.filter.BetweenFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, IndexAwareFilter, java.io.Serializable

      public class BetweenFilter

extends AndFilter

Filter which compares the result of a method invocation with a value for "Between" condition. We use the standard ISO/IEC 9075:1992 semantic, according to which "X between Y and Z" is equivalent to "X >= Y && X <= Z". In a case when either result of a method invocation or a value to compare are equal to null, the `evaluate` test yields `false`. This approach is equivalent to the way the NULL values are handled by SQL.

Author:
  cp/gg 2002.10.29

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.filter.ArrayFilter
`ArrayFilter.WeightedFilter`

Field Summary

Fields inherited from class com.tangosol.util.filter.ArrayFilter
`m_aFilter`

Constructor Summary
`BetweenFilter()` Default constructor (necessary for the ExternalizableLite interface).
`BetweenFilter(java.lang.String sMethod, java.lang.Comparable oFrom, java.lang.Comparable oTo)` Construct a BetweenFilter for testing "Between" condition.
`BetweenFilter(java.lang.String sMethod, double dFrom, double dTo)` Construct a BetweenFilter for testing "Between" condition.
`BetweenFilter(java.lang.String sMethod, float fFrom, float fTo)` Construct a BetweenFilter for testing "Between" condition.
`BetweenFilter(java.lang.String sMethod, int iFrom, int iTo)` Construct a BetweenFilter for testing "Between" condition.
`BetweenFilter(java.lang.String sMethod, long lFrom, long lTo)` Construct a BetweenFilter for testing "Between" condition.
`BetweenFilter(ValueExtractor extractor, java.lang.Comparable oFrom, java.lang.Comparable oTo)` Construct a BetweenFilter for testing "Between" condition.

Method Summary

Methods inherited from class com.tangosol.util.filter.AllFilter
`applyIndex, calculateEffectiveness, evaluate, evaluateEntry`

Methods inherited from class com.tangosol.util.filter.ArrayFilter
`applyFilter, calculateFilters, equals, getFilters, hashCode, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### BetweenFilter

    public BetweenFilter()

  Default constructor (necessary for the ExternalizableLite interface).

### BetweenFilter

    public BetweenFilter(java.lang.String sMethod,
                         java.lang.Comparable oFrom,
                         java.lang.Comparable oTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `oFrom` - the object to compare the "Greater or Equals" boundary with
    `oTo` - the object to compare the "Less or Equals" boundary with

### BetweenFilter

    public BetweenFilter(ValueExtractor extractor,
                         java.lang.Comparable oFrom,
                         java.lang.Comparable oTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `extractor` - the ValueExtractor to use by this filter
    `oFrom` - the object to compare the "Greater or Equals" boundary with
    `oTo` - the object to compare the "Less or Equals" boundary with

### BetweenFilter

    public BetweenFilter(java.lang.String sMethod,
                         int iFrom,
                         int iTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `iFrom` - the integer value to compare the "Greater or Equals" boundary with
    `iTo` - the integer value to compare the "Less or Equals" boundary with

### BetweenFilter

    public BetweenFilter(java.lang.String sMethod,
                         long lFrom,
                         long lTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `lFrom` - the long value to compare the "Greater or Equals" boundary with
    `lTo` - the long value to compare the "Less or Equals" boundary with

### BetweenFilter

    public BetweenFilter(java.lang.String sMethod,
                         float fFrom,
                         float fTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `fFrom` - the float value to compare the "Greater or Equals" boundary with
    `fTo` - the float value to compare the "Less or Equals" boundary with

### BetweenFilter

    public BetweenFilter(java.lang.String sMethod,
                         double dFrom,
                         double dTo)

  Construct a BetweenFilter for testing "Between" condition.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection
    `dFrom` - the double value to compare the "Greater or Equals" boundary with
    `dTo` - the double value to compare the "Less or Equals" boundary with

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.